Ticket #146 (closed enhancement: fixed)

Opened 5 years ago

Last modified 5 years ago

make streaming (play,pause,stop)

Reported by: jesus Assigned to: umar
Priority: major Milestone: Wangle
Component: webconsole Severity: annoying
Keywords: Cc:

Description

when you start streaming it should be "play"... once streaming, you should be able to "pause" (which stops the stream, but leaves the data intact), play should start the data stream again.... "stop" should doe what stopping does now, which is reset the graph to historic data.

Change History

06/19/09 22:57:43 changed by umar

(In [763]) add some code for new streaming controls refs #146, allow for graph aggregation refs #130, and fixes nasty stacking error when removing a datapoint that was once stacked

06/23/09 15:49:34 changed by umar

(In [764]) replacing streaming controls for graph editing and permalinked graphs, refs #146

06/23/09 18:38:49 changed by umar

  • status changed from new to closed.
  • resolution set to fixed.

(In [765]) new streaming controls for modal graph viewing, aside from future styling, such as icons for play/pause/stop buttons, closes #146

06/29/09 15:17:55 changed by umar

  • status changed from closed to reopened.
  • resolution deleted.

reopening.

only the play button should be visible, when clicked the zoom controls should be hidden, and the pause and polltime slider should become visible

06/29/09 15:18:16 changed by umar

(In [772]) adding polltime slider to graph editor, and fixing modal slider, refs #146

06/29/09 16:21:05 changed by umar

(In [773]) hide pause/polltime controls until we hit play, cleanup other control toggling, needs design work on graph title and icons for play/pause controls. refs #146

06/29/09 18:52:21 changed by umar

  • status changed from reopened to closed.
  • resolution set to fixed.

(In [774]) styling so the graph titles look correct, fixes #146